<template lang="pug">
Card(ref='card' :title='title')
  template(#info='c')
    p
      | The #[strong {{ title }}] edit card displays details about a
      | #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-property-element-2') SSVG property element].
    hr
    p
      | The #[strong Code Editor] part allows direct modifications over the #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-property-element-2') SSVG property element] (or computed),
      | linting, code-completion and widgets are there to guide you.
    p #[strong Note:] modifications are applied by pressing #[kbd Ctrl+S] or clicking on #[i.fa.fa-arrow-circle-right]
  template(#default='c')
    li.p-0.autoscroll(key='raw')
      PropertyCodeEditor(ref="cm")

    li.p-0(key='ctrl')
      .d-flex.px-1
        button.m-1.btn.btn-outline-danger(@click='doDelete')
          | #[i.fa.fa-trash] Delete
        button.m-1.ml-auto.btn.btn-outline-primary(@click='doApply')
          kbd.mr-2(v-if="c.showKeyHints && c.isFocused") Ctrl+S
          | #[i.fa.fa-arrow-circle-right] Apply
</template>
<script src='./PropertyEdit.vue.js' />
